Szukaj


drukuj pdf
Problem z systemem baz DBM

Dlaczego pojawia się problem?

Przeprowadziliśmy aktualizację wszystkich serwerów. Dzięki temu nasi użytkownicy mogą korzystać z najnowszych wersji zainstalowanych programów.

W wyniku aktualizacji Perla, system baz danych DBM również został zaktualizowany. Niestety nowe wersje nie są kompatybilne ze starymi, co może generować błędy podczas korzystania ze skryptów.

Jak rozwiązać ten problem?

Aby wszystko powróciło do normy, wystarczy zaktualizować swoje pliki bazy danych. W tym celu należy utworzyć plik upgradedbm.php z poniższym wpisem i umieścić go w katalogu www:

<?php
exec("/usr/bin/find .. -name *.idx -exec /usr/bin/db4.3_upgrade '{}' ;");
exec("/usr/bin/find .. -name *.db -exec /usr/bin/db4.3_upgrade '{}' ;");
?>


Teraz wystarczy go wykonać: http://www.twojadomena/upgradedbm.php

Dzięki temu pliki będą kompatybilne z nową wersją bazy danych.